﻿/* ================= LOADER ================= */

#page-loader {
    position: fixed;
    inset: 0;
    width: 100%;
    height: 100vh;
    background: white;
    z-index: 999999;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all .8s ease;
}

.loader-content {
    position: relative;
    z-index: 2;
    text-align: center;
}

@keyframes logoFloat {

    0% {
        transform: translateY(0px);
    }

    50% {
        transform: translateY(-12px);
    }

    100% {
        transform: translateY(0px);
    }
}

/* Title */

.loader-title {
    color: rgb(91 40 1);
    font-size: 52px;
    font-weight: 700;
    margin-bottom: 8px;
    letter-spacing: 1px;
}

/* Subtitle */

.loader-subtitle {
    color: black;
    font-size: 20px;
    margin-bottom: 35px;
}

/* Animated Loading Line */

.loader-line {
    width: 320px;
    height: 7px;
    background: rgba(255,255,255,.12);
    border-radius: 50px;
    overflow: hidden;
    margin: auto;
    position: relative;
}

    .loader-line span {
        position: absolute;
        left: -40%;
        width: 40%;
        height: 100%;
        border-radius: 50px;
        background: linear-gradient(90deg, #631105, #ff9933);
        animation: movingLine 1.5s linear infinite;
        box-shadow: 0 0 18px rgba(0,255,170,.7);
    }

@keyframes movingLine {

    0% {
        left: -40%;
    }

    100% {
        left: 100%;
    }
}

/* Loading Text */

.loader-text {
    color: #ffffff;
    margin-top: 18px;
    font-size: 14px;
    letter-spacing: 4px;
    text-transform: uppercase;
}

    .loader-text span::after {
        content: "";
        animation: dots 1.5s infinite;
    }

@keyframes dots {

    0% {
        content: "";
    }

    33% {
        content: ".";
    }

    66% {
        content: "..";
    }

    100% {
        content: "...";
    }
}

/* Hide Loader */

.loader-hide {
    opacity: 0;
    visibility: hidden;
}

/* Responsive */

@media(max-width:768px) {

    .loader-title {
        font-size: 32px;
    }

    .loader-subtitle {
        font-size: 15px;
    }

    .loader-line {
        width: 240px;
    }

    .loader-logo {
        width: 90px;
    }
}
